Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
osmium::bzip2_error Struct Reference

`#include <bzip2_compression.hpp>`

Inheritance diagram for osmium::bzip2_error:
[legend]
Collaboration diagram for osmium::bzip2_error:
[legend]

## Public Member Functions
| bzip2_error (const std::string &what, const int error_code)
Public Member Functions inherited from osmium::io_error
| io_error (const std::string &what)
| io_error (const char *what)

## Public Attributes
int | bzip2_error_code = 0
int | system_errno = 0

## Detailed Description

Exception thrown when there are problems compressing or decompressing bzip2 files.

## Constructor & Destructor Documentation

## ◆ bzip2_error()

osmium::bzip2_error::bzip2_error | ( | const std::string & | what,
|  | const int | error_code )
| inline

## Member Data Documentation

## ◆ bzip2_error_code

int osmium::bzip2_error::bzip2_error_code = 0

## ◆ system_errno

int osmium::bzip2_error::system_errno = 0

The documentation for this struct was generated from the following file:

- include/osmium/io/bzip2_compression.hpp